Depreciação das integrações de pagamento principais do Adobe Commerce

Devido à Diretiva Serviços de Pagamento PSD 2 (ver Diretiva relativa aos serviços de pagamento em nosso guia do usuário) e a evolução contínua de muitas APIs, várias integrações de pagamento principais do Adobe Commerce correm o risco de se tornarem obsoletas e não estarem mais em conformidade com a segurança no futuro. Para esse fim, muitas integrações de pagamento principais foram ou serão descontinuadas em breve, e recomendamos uma transição para suas extensões Commerce Marketplace correspondentes. Leia o restante do artigo abaixo para analisar as descontinuações recentes das integrações de pagamento. Cada um dos Status os links são encontrados em nosso guia do usuário. As integrações abaixo serão removidas da versão 2.4.0 do Adobe Commerce e foram descontinuadas das versões 2.3.

Integração do método de pagamento
Status
Recomendação do Adobe Commerce 2.X
Pagamento mundial
2.3.x - Obsoleto desde a versão 2.3.5
2.4.0 - Será completamente removido
Pergunte ao seu provedor de serviços de pagamento qual solução ele recomenda para atender aos requisitos de PSD2.
Authorize.net
2.3.x - Obsoleto desde a versão 2.3.4
2.4.0 - Será completamente removido
Use o extensão oficial do Commerce Marketplace em vez disso.
Authorize.net (Publicação direta)
2.3.x - Obsoleto desde a versão 2.3.1
2.4.0 - Será completamente removido
Use o extensão oficial do Commerce Marketplace em vez disso.
CyberSource
2.3.x - Obsoleto desde a versão 2.3.3
2.4.0 - Será completamente removido
Use o extensão oficial do Commerce Marketplace em vez disso.
Via
2.3.x - Obsoleto desde a versão 2.3.3
2.4.0 - Será completamente removido
Pergunte ao seu provedor de serviços de pagamento qual solução ele recomenda para atender aos requisitos de PSD2.

Observe que a integração do método de pagamento principal do PayPal não será descontinuada ou removida e permanecerá compatível com todas as versões 2.3.x e 2.4.x.

Como manter seus pagamentos seguros no futuro

Para todas as implantações de Adobe Commerce e Magento Open Source que ainda usam integrações de pagamento obsoletas, siga as recomendações abaixo, para garantir que os pagamentos de seus clientes estejam seguros, que os pagamentos não sejam recusados e para se preparar para a atualização para o Adobe Commerce 2.4.0:

  • Instalar e configurar a extensão do método de pagamento oficial do Commerce Marketplace como mencionado no quadro acima.
  • Desabilitar integrações de pagamento obsoletas no Administrador (definir Ativado opção de configuração para Não ) para que não apareçam mais na vitrine como opções de pagamento. Em vez disso, verifique se todos os novos pedidos são pagos por meio da integração de extensão.
  • Como a nova integração do Commerce Marketplace não poderá processar transações de pagamento feitas usando uma integração de pagamento obsoleta, recomendamos usar ambos os métodos de pagamento para algum período em paralelo; mas apenas para a conclusão de transações já lançadas e possíveis reembolsos. Para fazer isso, mantenha o método de pagamento obsoleto desativado, mas deixe todos os campos de configuração preenchidos.
recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a